{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block title %}Регистрация{% endblock %}

{% block content %}

<div class="row">
    <div class="col-12">
        <div class="jumbotron p-4 p-md-5 text-dark rounded bg-white-50">
            <div class="col-8 px-0">
                <h4 class="display-5 font-italic">Регистрация нового пользователя</h4>
                <form class="px-4 py-3 mt-3" method="post">
                    {% csrf_token %}
                    {% bootstrap_form form show_label=True size='small' layout='horizontal' %}
                    <small class="form-text text-muted mt-3">Регистрация с помощью социальных сетей | <a
                            href="{% url 'users:password_reset' %}">Забыли пароль?</a></small>
                    <div class="row mt-1">
                        <div class="col-1">
                            <a href="{% url 'social:begin' 'vk-oauth2' %}"><img
                                    src="{% static 'users/img/vk.png' %}" width="30px" height="30px"></a>
                        </div>
                        <div class="col-1">
                            <a href="{% url 'social:begin' 'google-oauth2' %}"><img
                                    src="{% static 'users/img/google.png' %}" width="30px" height="30px"></a>
                        </div>
                        <div class="col-1">
                            <a href="{% url 'social:begin' 'github' %}"><img src="{% static 'users/img/github.png' %}" width="30px" height="30px"></a>
                        </div>
                    </div>
                    <a href="{% url 'purse:index' %}" class="btn btn-sm btn-outline-secondary mr-2 mt-3">Отмена</a>
                    {% bootstrap_button 'Зарегистрироваться' button_class='btn btn-sm btn-outline-secondary mt-3' button_type='submit' size='small' %}
                </form>
            </div>
        </div>
    </div>
</div>

{% endblock %}
